package app.mealsmadeeasy.api.auth;

import org.jetbrains.annotations.Nullable;

import java.util.UUID;

public interface AuthService {
    LoginDetails login(String username, String password) throws LoginException;
    void logout(UUID refreshToken);
    LoginDetails refresh(@Nullable UUID refreshToken) throws LoginException;
}
